/*============================================================================
	SQL Server Versions: 2012 11.0.3321
------------------------------------------------------------------------------
	Copyright (C) 2012 Joe Sack, SQLskills.com
	All rights reserved. 

	For more scripts and sample code, check out
		http://www.sqlskills.com/ 

	You may alter this code for your own *non-commercial* purposes. You may
	republish altered code as long as you give due credit. 

	THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF
	ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED
	TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
	PARTICULAR PURPOSE.
============================================================================*/ 

-- Original behavior

:CONNECT SQL2K12-SVR2
DBCC TRACEON(9485, -1);
GO

:CONNECT SQL2K12-SVR1
-- This query will take a LONG time
USE [Credit];
GO

SELECT  c.[charge_no],
        c.[member_no],
        c.[provider_no],
        c.[category_no],
        c.[charge_dt],
        c.[charge_amt],
        c.[statement_no],
        c.[charge_code]
FROM    [dbo].[charge] AS c
INNER JOIN [SQL2K12-SVR2].Credit.dbo.charge AS rc
        ON c.[charge_no] = [rc].[charge_no]
WHERE   [rc].[member_no] = 7894
OPTION  (RECOMPILE);
GO


:CONNECT SQL2K12-SVR2
DBCC TRACEOFF(9485, -1);
GO


:CONNECT SQL2K12-SVR1
USE [Credit];
GO

SELECT  c.[charge_no],
        c.[member_no],
        c.[provider_no],
        c.[category_no],
        c.[charge_dt],
        c.[charge_amt],
        c.[statement_no],
        c.[charge_code]
FROM    [dbo].[charge] AS c
INNER JOIN [SQL2K12-SVR2].Credit.dbo.charge AS rc
        ON c.[charge_no] = [rc].[charge_no]
WHERE   [rc].[member_no] = 7894
OPTION  (RECOMPILE);
GO
